# PhasicFlow: Wall Class Reference

Wall Class Reference
Inheritance diagram for Wall:
[legend]

## Public Member Functions

| TypeInfo ("Wall")
| Wall ()
| Wall (const dictionary &dict)
virtual | ~Wall ()=default
| create_vCtor (Wall, dictionary,(const dictionary &dict),(dict))
const auto & | triangles () const
word | name () const
word | materialName () const
word | motionName () const

## Static Public Member Functions

static bool | checkTrianlge (const realx3 &p1, const realx3 &p2, const realx3 &p3)
static uniquePtr< Wall > | create (const dictionary &dict)

## Protected Member Functions

bool | readCommon (const dictionary &ditc)

## Protected Attributes

std::vector< realx3x3 > | triangles_
word | name_
word | materialName_
word | motionName_

## Detailed Description

Definition at line 41 of file Wall.hpp.

## Constructor & Destructor Documentation

## Wall() [1/2]

Wall | ( |  | ) |

inline

Definition at line 63 of file Wall.hpp.

## Wall() [2/2]

Wall | ( | const dictionary & | dict | ) |

Definition at line 36 of file Wall.cpp.

References fatalExit.

## ~Wall()

virtual ~Wall | ( |  | ) |

virtualdefault

## Member Function Documentation

## readCommon()

bool readCommon | ( | const dictionary & | ditc | ) |

protected

Definition at line 24 of file Wall.cpp.

References dictionary::getVal(), dictionary::getValOrSet(), Wall::materialName_, Wall::motionName_, iEntry::name(), and Wall::name_.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "Wall" |  | ) |

## create_vCtor()

create_vCtor | ( | Wall | ,
|  | dictionary | ,
|  | (const dictionary &dict) | ,
|  | (dict) |
| ) |  |

## triangles()

const auto& triangles | ( |  | ) | const

inline

Definition at line 82 of file Wall.hpp.

References Wall::triangles_.

Referenced by cuboidWall::readcuboidWall().

Here is the caller graph for this function:

## name()

word name | ( |  | ) | const

inline

Definition at line 87 of file Wall.hpp.

References Wall::name_.

## materialName()

word materialName | ( |  | ) | const

inline

Definition at line 92 of file Wall.hpp.

References Wall::materialName_.

## motionName()

word motionName | ( |  | ) | const

inline

Definition at line 97 of file Wall.hpp.

References Wall::motionName_.

## checkTrianlge()

bool checkTrianlge | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3
| ) |  |

static

Definition at line 46 of file Wall.cpp.

References cross(), triple< T >::length(), and pFlow::smallValue.

Referenced by planeWall::checkFlatness().

Here is the call graph for this function:
Here is the caller graph for this function:

## create()

pFlow::uniquePtr< pFlow::Wall > create | ( | const dictionary & | dict | ) |

static

Definition at line 61 of file Wall.cpp.

References fatalError, fatalExit, dictionary::getVal(), and pFlow::printKeys().

Here is the call graph for this function:

## Member Data Documentation

## triangles_

std::vector<realx3x3> triangles_

protected

Definition at line 45 of file Wall.hpp.

Referenced by planeWall::addWall4(), cylinderWall::readCylinderWall(), and Wall::triangles().

## name_

word name_

protected

Definition at line 47 of file Wall.hpp.

Referenced by Wall::name(), and Wall::readCommon().

## materialName_

word materialName_

protected

Definition at line 49 of file Wall.hpp.

Referenced by Wall::materialName(), and Wall::readCommon().

## motionName_

word motionName_

protected

Definition at line 51 of file Wall.hpp.

Referenced by Wall::motionName(), and Wall::readCommon().

The documentation for this class was generated from the following files:

- utilities/Utilities/geometryPhasicFlow/Wall/Wall.hpp
- utilities/Utilities/geometryPhasicFlow/Wall/Wall.cpp